# Cell tower near

A decision block that checks nearby cellular towers.

If the proceed option is set to Immediately, then check if any of the cell towers is currently nearby without pausing the fiber. If set to When changed, then the fiber will pause until the device comes near any of the cell towers, or until none of the towers is nearby.

If no cell towers are supplied, the nearby cell towers are scanned, collected and assigned to the nearby cell towers variable without a (intersection) check, proceeding through the YES path.

The cell towers input argument can be a single cell, a text of comma separated cells, an array of single cells or a dictionary where each key is a single cell.

The arrays assigned to Nearby cell towers and Signal strengths are of equal length, sorted in signal strength order.

### Cell format

A cell is text that begins with a network type followed by one or more optional hexadecimal properties separated by colon:

Network | Properties | Example
--- | --- | ---
CDMA | SID:NID:BID | cdma:43ad:5f3:2da
GSM | LAC:RNC:CID | gsm:ca::427
LTE | TAC:CI:PCI | lte:ca:ca:427
WCDMA | LAC:CID | wcdma:54ae:3d57
UMTS | PSC | umts:503
TD-SCDMA | LAC:CID | tdscdma:54ae:3d57
NR | NCI | nr:3d743a23d

Note! This feature may require that the system Location setting is enabled on Android 6+.

Note! Some devices may only report cells when the screen is lit, use the Device keep awake block to keep the screen on continuously, or at regular intervals.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Cell towers — cells to check if they’re nearby or not.
- Subscription id — id of subscription (SIM) to check cells of, default is the system default subscription. (Android 10+)
- Connection status — connection status, in relation to the device, of nearby cells to consider, default is any, including unknown, status. (Android 9+)

## Output variables

- Nearby cell towers — variable to assign an array of nearby cells.
- Signal strengths — variable to assign an array of signal strengths, in dBm.